Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Overrides

List Overrides

get
/v4/schedules/{scheduleID}/overrides
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
Query parameters
startTimestringRequired
endTimestringRequired
participantIDstringOptional
pageSizeinteger · int32Optional
cursorstringOptional
Responses
200

The request has succeeded.

application/json
get/v4/schedules/{scheduleID}/overrides
GET /v4/schedules/{scheduleID}/overrides?startTime=text&endTime=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "orgID": "text",
      "teamID": "text",
      "scheduleID": 1,
      "startTime": "text",
      "endTime": "text",
      "reason": "text",
      "overriddenParticipant": {
        "group": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      },
      "overrideWith": {
        "group": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      },
      "createdAt": "text",
      "updatedAt": "text"
    }
  ],
  "pageInfo": {
    "pageSize": 1,
    "hasNext": true,
    "hasPrev": true,
    "nextCursor": "text",
    "prevCursor": "text"
  }
}

Create Schedule Override

post
/v4/schedules/{scheduleID}/overrides
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
Body
startTimestringRequired
endTimestringRequired
reasonstringRequired
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v4/schedules/{scheduleID}/overrides
POST /v4/schedules/{scheduleID}/overrides HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "startTime": "text",
  "endTime": "text",
  "reason": "text",
  "overriddenParticipant": {
    "group": [
      {
        "id": "text",
        "type": "text"
      }
    ]
  },
  "overrideWith": {
    "group": [
      {
        "id": "text",
        "type": "text"
      }
    ]
  }
}
{
  "data": {
    "id": 1,
    "orgID": "text",
    "teamID": "text",
    "scheduleID": 1,
    "startTime": "text",
    "endTime": "text",
    "reason": "text",
    "overriddenParticipant": {
      "group": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    },
    "overrideWith": {
      "group": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    },
    "createdAt": "text",
    "updatedAt": "text"
  }
}

Get Override by ID

get
/v4/schedules/{scheduleID}/overrides/{overrideID}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
overrideIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/schedules/{scheduleID}/overrides/{overrideID}
GET /v4/schedules/{scheduleID}/overrides/{overrideID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "orgID": "text",
    "teamID": "text",
    "scheduleID": 1,
    "startTime": "text",
    "endTime": "text",
    "reason": "text",
    "overriddenParticipant": {
      "group": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    },
    "overrideWith": {
      "group": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    },
    "createdAt": "text",
    "updatedAt": "text"
  }
}

Update Schedule Override

put
/v4/schedules/{scheduleID}/overrides/{overrideID}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
overrideIDstringRequired
Body
startTimestringRequired
endTimestringRequired
reasonstringRequired
Responses
200

The request has succeeded.

application/json
put/v4/schedules/{scheduleID}/overrides/{overrideID}
PUT /v4/schedules/{scheduleID}/overrides/{overrideID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "startTime": "text",
  "endTime": "text",
  "reason": "text",
  "overriddenParticipant": {
    "group": [
      {
        "id": "text",
        "type": "text"
      }
    ]
  },
  "overrideWith": {
    "group": [
      {
        "id": "text",
        "type": "text"
      }
    ]
  }
}
{
  "data": {
    "id": 1,
    "orgID": "text",
    "teamID": "text",
    "scheduleID": 1,
    "startTime": "text",
    "endTime": "text",
    "reason": "text",
    "overriddenParticipant": {
      "group": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    },
    "overrideWith": {
      "group": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    },
    "createdAt": "text",
    "updatedAt": "text"
  }
}

Delete Schedule Override

delete
/v4/schedules/{scheduleID}/overrides/{overrideID}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
overrideIDstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v4/schedules/{scheduleID}/overrides/{overrideID}
DELETE /v4/schedules/{scheduleID}/overrides/{overrideID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated